let progress = 0;

function updateProgressBar() {
    progress += 20;
    document.getElementById("progress").style.width = progress + "%";
}

function nextSection(sectionId) {
    document.querySelectorAll('.section').forEach(section => section.style.display = 'none');
    document.getElementById(sectionId).style.display = 'block';
    updateProgressBar();
}

function submitApplication() {
    const formData = new FormData();
    formData.append("first_name", document.getElementById("first-name").value);
    formData.append("last_name", document.getElementById("last-name").value);
    formData.append("email", document.getElementById("email").value);
    formData.append("phone", document.getElementById("phone").value);
    formData.append("id_upload", document.getElementById("id-upload").files[0]);
    formData.append("income_upload", document.getElementById("income-upload").files[0]);
    formData.append("employment_upload", document.getElementById("employment-upload").files[0]);
    formData.append("loan_amount", document.getElementById("loan-amount").value);
    formData.append("loan_term", document.getElementById("loan-term").value);

    fetch("sendEmail.php", {
        method: "POST",
        body: formData
    }).then(response => response.text())
      .then(response => {
          document.getElementById("success-modal").style.display = "flex";
      })
      .catch(error => console.error("Error:", error));
}

function closeModal() {
    document.getElementById("success-modal").style.display = "none";
    location.reload();
}